Loading...
Searching...
No Matches
ContainsAny Struct Reference

## Public Types

typedef bool | result_type

## Public Member Functions

| ContainsAny (const GrpPeptideSet &peptide_set)
bool | operator() (const GrpGroupSp &testGroupSp)

## Public Attributes

GrpPeptideSet | _peptide_set

## Detailed Description

Definition at line 177 of file grpexperiment.cpp.

## Member Typedef Documentation

## result_type

typedef bool ContainsAny::result_type

Definition at line 183 of file grpexperiment.cpp.

## Constructor & Destructor Documentation

## ContainsAny()

ContainsAny::ContainsAny | ( | const GrpPeptideSet & | peptide_set | ) |

inline

Definition at line 179 of file grpexperiment.cpp.

: _peptide_set(peptide_set)
{
}
ContainsAny::_peptide_set
GrpPeptideSet _peptide_set
Definition grpexperiment.cpp:191

References _peptide_set.

## Member Function Documentation

## operator()()

bool ContainsAny::operator() | ( | const GrpGroupSp & | testGroupSp | ) |

inline

Definition at line 186 of file grpexperiment.cpp.

{
return testGroupSp.get()->containsAny(_peptide_set);
}
pappso::GrpGroup::containsAny
bool containsAny(const GrpPeptideSet &peptideSet) const
Definition grpgroup.cpp:103

References _peptide_set, and pappso::GrpGroup::containsAny().

## Member Data Documentation

## _peptide_set

GrpPeptideSet ContainsAny::_peptide_set

Definition at line 191 of file grpexperiment.cpp.

Referenced by ContainsAny(), and operator()().

The documentation for this struct was generated from the following file:

- pappsomspp/core/grouping/grpexperiment.cpp